{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            // requires running `make install-dev` first
            "name": "[venv] launch and run",
            "type": "python",
            "request": "launch",
            "program": "${workspaceRoot}/src/utility_belt",
        },
        {
            "name": "[docker] attach and debug",
            "type": "python",
            "request": "attach",
            "justMyCode": false,
            "connect": {
                "host": "localhost",
                "port": 5678
            },
            "pathMappings": [
                {
                    "localRoot": "${workspaceFolder}/src/utility_belt/",
                    "remoteRoot": "/app/venv/lib/python3.9/site-packages/utility_belt/"
                }
            ]
        },
    ]
}